"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_assets = require("../../../common/assets.js");
const _sfc_main = {
  __name: "productmain",
  setup(__props) {
    common_vendor.ref([null, null, null, null, null, null, null]);
    const products = common_vendor.ref([
      {
        "product_name": "非遗绒花",
        "product_type": "材料包",
        "selected_style": "紫色",
        "product_num": 1,
        "product_price": 138,
        "product_img": common_assets.product_img,
        "pull_img": common_assets.pull,
        "select_img": common_assets.choose,
        "rmb_img": common_assets.rmb,
        "min_img": common_assets.short,
        "add_img": common_assets.add
      },
      {
        "product_name": "非遗绒花",
        "product_type": "材料包",
        "selected_style": "紫色",
        "product_num": 1,
        "product_price": 138,
        "product_img": common_assets.product_img,
        "pull_img": common_assets.pull,
        "select_img": common_assets.choose,
        "rmb_img": common_assets.rmb,
        "min_img": common_assets.short,
        "add_img": common_assets.add
      },
      {
        "product_name": "非遗绒花",
        "product_type": "材料包",
        "selected_style": "紫色",
        "product_num": 1,
        "product_price": 138,
        "product_img": common_assets.product_img,
        "pull_img": common_assets.pull,
        "select_img": common_assets.choose,
        "rmb_img": common_assets.rmb,
        "min_img": common_assets.short,
        "add_img": common_assets.add
      },
      {
        "product_name": "非遗绒花",
        "product_type": "材料包",
        "selected_style": "紫色",
        "product_num": 1,
        "product_price": 138,
        "product_img": common_assets.product_img,
        "pull_img": common_assets.pull,
        "select_img": common_assets.choose,
        "rmb_img": common_assets.rmb,
        "min_img": common_assets.short,
        "add_img": common_assets.add
      },
      {
        "product_name": "非遗绒花",
        "product_type": "材料包",
        "selected_style": "紫色",
        "product_num": 1,
        "product_price": 138,
        "product_img": common_assets.product_img,
        "pull_img": common_assets.pull,
        "select_img": common_assets.choose,
        "rmb_img": common_assets.rmb,
        "min_img": common_assets.short,
        "add_img": common_assets.add
      },
      {
        "product_name": "非遗绒花",
        "product_type": "材料包",
        "selected_style": "紫色",
        "product_num": 1,
        "product_price": 138,
        "product_img": common_assets.product_img,
        "pull_img": common_assets.pull,
        "select_img": common_assets.choose,
        "rmb_img": common_assets.rmb,
        "min_img": common_assets.short,
        "add_img": common_assets.add
      }
    ]);
    const jump_product = () => {
      common_vendor.index.navigateTo({
        url: "../../../pages/store-home/ProductDetails/ProductDetails"
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(products.value, (item, index, i0) => {
          return {
            a: item.select_img,
            b: common_vendor.o(jump_product, index),
            c: item.product_img,
            d: common_vendor.t(item.product_name),
            e: common_vendor.t(item.product_type),
            f: common_vendor.o(jump_product, index),
            g: common_vendor.t(item.selected_style),
            h: item.pull_img,
            i: common_vendor.t(item.product_price),
            j: common_vendor.t(item.product_num),
            k: index
          };
        }),
        b: common_vendor.unref(common_assets.rmb),
        c: common_vendor.unref(common_assets.short),
        d: common_vendor.unref(common_assets.add),
        e: common_vendor.unref(common_assets.choose)
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-641af6de"], ["__file", "D:/jiangchengfeiyi-xiaochengxu/pages/Shopping-cart/productmain/productmain.vue"]]);
wx.createPage(MiniProgramPage);
